Subject: Re: bug#45035: 28.0.50; Command completion annotations show minibuffer keybindings

From: Juri Linkov <[email-masked]>
Date: Wed, 16 Dec 2020 23:27:48 +0200

tags 45035 fixed
close 45035 28.0.50
thanks

>>> Thanks, I think your idea is correct.  But I'm not sure if
>>> minibuffer-completion-help is the right place for wrapping in
>>> with-minibuffer-selected-window.  This means that all calls of
>>> annotation-function will be in the original buffer, whereas
>>> only read-extended-command--annotation needs such wrapping.
>>
>> Oh, that's a very good point. Probably it would be best to leave
>> minibuffer-completion-help as is, and change only
>> read-extended-command--annotation.
>>
>>> Or do you care that such wrapping will be called for every command
>>> in read-extended-command--annotation?  Then instead of annotation-function
>>> you could try to use a new function affixation-function that is called
>>> only once, so you could add wrapping to it.
>>
>> My Emacs doesn't have affixation-function yet, so I don't really know
>> anything about it.
>
> I'm sorry that your version of Emacs is not updated too often.
> So here I created a patch based on current master, and after
> pushing it, sometimes it will arrive to your updated version.

Now pushed to master, and closed.